## org.apache.poi.hslf.record
Class ExEmbed

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.ExEmbed

Direct Known Subclasses:
  ExControl

    public class ExEmbed

extends RecordContainer

This data represents an embedded object in the document.

Author:
  Daniel Noll

Field Summary
`protected RecordAtom` `embedAtom`

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `ExEmbed()` Create a new ExEmbed, with blank fields
`protected` `ExEmbed(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`java.lang.String` `getClipboardName()` Gets the name that appears in the paste special dialog.
`ExEmbedAtom` `getExEmbedAtom()` Gets the `ExEmbedAtom`.
`ExOleObjAtom` `getExOleObjAtom()` Gets the `ExOleObjAtom`.
`java.lang.String` `getMenuName()` Gets the name used for menus and the Links dialog box.
`java.lang.String` `getProgId()` Gets the OLE Programmatic Identifier.
`long` `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles.
`void` `setClipboardName(java.lang.String s)`
`void` `setMenuName(java.lang.String s)`
`void` `setProgId(java.lang.String s)`
`void` `writeOut(java.io.OutputStream out)` Have the contents printer out into an OutputStream, used when writing a file back out to disk.

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### embedAtom

    protected RecordAtom embedAtom

Constructor Detail

### ExEmbed

    protected ExEmbed(byte[] source,
                      int start,
                      int len)

  Set things up, and find our more interesting children

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

### ExEmbed

    public ExEmbed()

  Create a new ExEmbed, with blank fields

Method Detail

### getExEmbedAtom

    public ExEmbedAtom getExEmbedAtom()

  Gets the `ExEmbedAtom`.

  Returns:
    the `ExEmbedAtom`.

### getExOleObjAtom

    public ExOleObjAtom getExOleObjAtom()

  Gets the `ExOleObjAtom`.

  Returns:
    the `ExOleObjAtom`.

### getMenuName

    public java.lang.String getMenuName()

  Gets the name used for menus and the Links dialog box.

  Returns:
    the name used for menus and the Links dialog box.

### setMenuName

    public void setMenuName(java.lang.String s)

### getProgId

    public java.lang.String getProgId()

  Gets the OLE Programmatic Identifier.

  Returns:
    the OLE Programmatic Identifier.

### setProgId

    public void setProgId(java.lang.String s)

### getClipboardName

    public java.lang.String getClipboardName()

  Gets the name that appears in the paste special dialog.

  Returns:
    the name that appears in the paste special dialog.

### setClipboardName

    public void setClipboardName(java.lang.String s)

### getRecordType

    public long getRecordType()

  Returns the type (held as a little endian in bytes 3 and 4) that this class handles.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Have the contents printer out into an OutputStream, used when writing a file back out to disk.

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream.
  Throws:
    `java.io.IOException` - if there was an error writing to the stream.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.